package com.bocloud.cmp.model.hmc.sdk.job;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

/**
 * JobParameter
 *
 * @author 007
 */
public class JobParameter {
    /**
     * V1_2_0
     */
    /**
     *
     */
    private Metadata metadata;
    /**
     * returnCode/result/ErrorData
     */
    private String parameterName;
    /**
     * value
     * <p>
     * ParameterName为result或ErrorData时，对应的ParameterValue为任务执行提示信息
     * </p>
     */
    private String parameterValue;

    public JobParameter() {
    }
    /**
     * @return the schemaVersion
     */
    /**
     * @param schemaVersion the schemaVersion to set
     */
    /**
     * @return the metadata
     */
    public Metadata getMetadata() {
        return metadata;
    }

    /**
     * @param metadata the metadata to set
     */
    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    /**
     * @return the parameterName
     */
    public String getParameterName() {
        return parameterName;
    }

    /**
     * @param parameterName the parameterName to set
     */
    public void setParameterName(String parameterName) {
        this.parameterName = parameterName;
    }

    /**
     * @return the parameterValue
     */
    public String getParameterValue() {
        return parameterValue;
    }

    /**
     * @param parameterValue the parameterValue to set
     */
    public void setParameterValue(String parameterValue) {
        this.parameterValue = parameterValue;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
